deprecated

  use `Mocha.Runner` instead.

### Hierarchy

- EventEmitter
  - IRunner

## Index

### Properties

- asyncOnly
- failures
- forbidOnly
- forbidPending
- fullStackTrace
- ignoreLeaks
- started
- stats
- suite
- total

### Methods

- abort
- addListener
- emit
- eventNames
- getMaxListeners
- globals
- grep
- grepTotal
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- run
- setMaxListeners

## Properties

### Optional asyncOnly

asyncOnly: undefined | false | true

- Defined in node_modules/@types/mocha/index.d.ts:2579

### failures

failures: number

- Defined in node_modules/@types/mocha/index.d.ts:2585

### Optional forbidOnly

forbidOnly: undefined | false | true

- Defined in node_modules/@types/mocha/index.d.ts:2586

### Optional forbidPending

forbidPending: undefined | false | true

- Defined in node_modules/@types/mocha/index.d.ts:2587

### Optional fullStackTrace

fullStackTrace: undefined | false | true

- Defined in node_modules/@types/mocha/index.d.ts:2588

### Optional ignoreLeaks

ignoreLeaks: undefined | false | true

- Defined in node_modules/@types/mocha/index.d.ts:2589

### started

started: boolean

- Defined in node_modules/@types/mocha/index.d.ts:2581

### Optional stats

stats: IStats

- Defined in node_modules/@types/mocha/index.d.ts:2580

### suite

suite: ISuite

- Defined in node_modules/@types/mocha/index.d.ts:2583

deprecated

  `.suite` has type `Mocha.Suite` in `Mocha.Runner`.

### total

total: number

- Defined in node_modules/@types/mocha/index.d.ts:2584

## Methods

### abort

- abort(): this

- - Defined in node_modules/@types/mocha/index.d.ts:2595

  #### Returns this

### addListener

- addListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:579

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:589

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  - Defined in node_modules/@types/node/globals.d.ts:594

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:586

  #### Returns number

### globals

- globals(arr: ReadonlyArray<string>): this | string[]

- - Defined in node_modules/@types/mocha/index.d.ts:2594
  deprecated

    `.globals()` has different overloads in `Mocha.Runner`.

  #### Parameters

  - ##### arr: ReadonlyArray<string>

  #### Returns this | string[]

### grep

- grep(re: RegExp, invert: boolean): this

- - Defined in node_modules/@types/mocha/index.d.ts:2590

  #### Parameters

  - ##### re: RegExp

  - ##### invert: boolean

  #### Returns this

### grepTotal

- grepTotal(suite: ISuite): number

- - Defined in node_modules/@types/mocha/index.d.ts:2592
  deprecated

    Parameter `suite` has type `Mocha.Suite` in `Mocha.Runner`.

  #### Parameters

  - ##### suite: ISuite

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/globals.d.ts:590

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:587

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  - Defined in node_modules/@types/node/globals.d.ts:583

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string | symbol, listener: function): this

- Inherited from EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:580

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string | symbol, listener: function): this

- Inherited from EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:581

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:592

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:593

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  - Defined in node_modules/@types/node/globals.d.ts:588

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/globals.d.ts:584

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  - Defined in node_modules/@types/node/globals.d.ts:582

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### run

- run(fn?: undefined | function): this

- - Defined in node_modules/@types/mocha/index.d.ts:2596

  #### Parameters

  - ##### Optional fn: undefined | function

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:585

  #### Parameters

  - ##### n: number

  #### Returns this

Generated using TypeDoc